Special Features and Requirements
- If some of your products have reduced VAT rates (for example, you are a UK merchant with children’s clothing), set the relevant reduced VAT rates for these products in the HTML data attribute. See Reduced VAT Rate Support.
- If you require support for product country exceptions (for example, restrict browsing before reaching the Global‑e checkout), set the relevant
data-countriesfor these products in the HTML data attribute. See Product-Specific VAT Rates in the EU and Restrictions. - If you require the application of price coefficients to specific product classes (for example, on premium items in specific territories), set the relevant data-pc for these products in the HTML data attribute and the
ProductClassCodein the GetCheckoutCartInfo (Global-e to Merchant) API. - If you require support for existing logistics accounts, call a Global‑e API method to download the international commercial invoice for the specified order.
GetCheckoutCartInfo (Global-e to Merchant)
The GetCheckoutCartInfo API retrieves cart information for international checkout processing. This API:- Is triggered when the cart page loads or when a checkout attempt is made
- Only returns products that are in stock
- Requires proper cart token validation
- Is part of Global-e’s extensions (custom integration only)
GetCheckoutCartInfo API is only triggered upon the cart page loading, or when a checkout attempt is made.
This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement this API unless a custom integration in required.
Usage
- Displays totals on the basket page
- Opens the checkout process
- Validates order (SendOrderToMerchant)
Security Requirements
- Client-side: Session and Cart token (present in the request URL parameters)
-
Server-side: For both GET and POST:
- Cart token - Request URL parameter (required)
- Custom parameter - Request URL parameter (optional)
- Custom header (optional)
- IP whitelist (optional)
- HTTP Basic Authentication (optional)
- JWT (optional)
-
Additional methods available with POST only:
- OrderID - In the request payload
- Merchant GUID - In request payload (required)
Retry Logic
None. The GetCheckoutCartInfo API is only triggered upon the cart page loading, or when a checkout attempt is made. If the GetCheckoutCartInfo request fails to execute on the cart page, the international cart totals will not be calculated or displayed there. If the GetCheckoutCartInfo request fails on the checkout, the checkout will not open.Method/URL
Client-side:GET
Server-side: GET/ POST (default GET). Global-e can configure your preference.
Reference
Requests can contain more parameters than listed.Get Checkout Cart Info — full request & response
Parameters, schema, and examples for
GET /get-checkout-cart-info-url (merchant-hosted).SendOrderToMerchant (Global-e to Merchant)
This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement this API unless a custom integration is required.
- If
order.PaymentDetailsare provided, this method also performs the payment and returns the currency and amount actually charged in theMerchant.ResponseInfo. - If additional shipping documents are required for merchants that are shipping the order themselves, then it is indicated in
AdditionalRequiredDocuments. In that case, the merchant should delay the fulfillment until the documents are ready and provided to the merchant in theSendAdditionalRequiredDocumentsToMerchantwebhook.
Security Requirements
- Merchant GUID - In request payload (required)
- Custom header (optional)
- IP whitelist (optional)
- HTTP Basic Authentication (optional)
- JWT (optional)
Retry Logic
There is no retry upon a merchant failure response or timeout. The timeout period is 5 minutes but can be adjusted if necessary. Merchant failure responses or timeouts will trigger an alert to the Global-e NOC team for manual review. Requests that fail to initiate from Global-e side will trigger a retry once a minute for up to 3 attempts, after which an alert will trigger for manual review.Method/URL
You host this endpoint on your own domain and give Global-e its address during integration. Both the domain and the path are stored per merchant, so the URL below is an example — yours will differ.Reference
Requests can contain more parameters than listed.Send Order to Merchant — full request & response
Parameters, schema, and examples for
POST /order-update-create-url (merchant-hosted).UpdateOrderStatus (Global-e to Merchant)
Updates the order status on the merchant’s site. Onlyorder.OrderId and order.StatusCode members are mandatory for this method.
This method is required to support order cancellation when initiated on Global-e’s side. It can also be used for reporting other order status updates as they occur in the Global-e’s system, and reflect them in the Merchant’s system.
Security Requirements
- Merchant GUID - In request payload (required)
- Custom header (optional)
- IP whitelist (optional)
- HTTP Basic Authentication (optional)
- JWT (optional)
Retry Logic
No automatic retries are attempted. A manual retry can be done by the Global-e support team.Method/URL
You host this endpoint on your own domain and give Global-e its address during integration. Both the domain and the path are stored per merchant, so the URL below is an example — yours will differ.Reference
Requests can contain more parameters than listed.Update Order Status — full request & response
Parameters, schema, and examples for
POST /order-status-update-url (merchant-hosted).PerformOrderPayment (Global-e to Merchant)
This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement this API unless a custom integration is required.
order.OrderId and order.PaymentDetails classes are mandatory for this method. For Mixed orders, “Subs” is mandatory.
Security Requirements
- Merchant GUID - In request payload (required)
- Custom header (optional)
- IP whitelist (optional)
- HTTP Basic Authentication (optional)
- JWT (optional)
Retry Logic
There is no retry upon a merchant failure response or timeout. The timeout period is 5 minutes and this cannot be adjusted. Requests that fail to initiate from Global-e side will trigger an alert to the Global-e NOC team for manual review. Merchant failure responses or timeouts will trigger an alert to the Global-e NOC team for manual review. Requests that fail to initiate from Global-e side will trigger a retry once a minute for up to 3 attempts after which an alert will trigger for manual review.Method/URL
You host this endpoint on your own domain and give Global-e its address during integration. Both the domain and the path are stored per merchant, so the URL below is an example — yours will differ.Reference
Requests can contain more parameters than listed.Perform Order Payment — full request & response
Parameters, schema, and examples for
POST /order-payment-only-url (merchant-hosted).
